[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [opensuse-security] repositories/security:/apparmor



Hello,

Am Sonntag, 14. September 2014 schrieb pinguin74:
> there is a AA Repo with some updated AA packages. Are they stable? Or
> is this some testing versions of AA?

In general, everything in security:apparmor is stable ;-)  
(I have home:cboltz for unstable stuff.)

You might have noticed that the repo contains multiple versions:

* AppArmor 2.8.96 aka 2.9 beta2
That's the version used in Factory and the upcoming 13.2. It's stable 
(don't worry about "beta" too much), but all the new code might also 
bring some new bugs - if you find one, please open a bugreport ;-)
(I'm following the upstream development - the plan is to submit 2.9 
final to 13.2 as soon as it's available.)

* AppArmor 2.8.3
That's, surprise, AppArmor 2.8.3 with some upstream(ed) patches added.
I'll probably push an update for 12.3 and 13.1 after upstream releases 
2.8.4. Until then, the most interesting 2.8.3 package is "apparmor-
profiles". Let me warn you that the Apache module mod_apparmor is broken 
in 2.8.3 - use mod_apparmor 2.8.2 instead.

* and also some older versions, but they are only built for old releases

Note: to choose a specific (old) version, use something like
    zypper in apparmor-profiles-2.8.3
or the "version" tab in the YaST software module.
If you don't specify a version, you'll get 2.8.96.


Regards,

Christian Boltz
-- 
> Again, apt is dead, there is no maintainership upstream -- let's
> leave this sinking ship NOW.
Don't forget we are on the sea and not at the harbour.
So leaving the ship will end in the water as long as the new ship is
not ready.   [> Christoph Thiel and Eberhard Moenkeberg in opensuse]

-- 
To unsubscribe, e-mail: opensuse-security+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-security+owner@xxxxxxxxxxxx